#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#define RENA_OK  (0)
#define RENA_NG  (-1)

#define RENA_LEVEL_VERBOSE  (4)
#define RENA_LEVEL_DEBUG    (3)
#define RENA_LEVEL_INFO     (2)
#define RENA_LEVEL_WARNING  (1)
#define RENA_LEVEL_ERROR    (0)

#define RENA_PAUSING  (1)
#define RENA_RUNNING  (0)

#define RENA_LENGTH_TAG  (30)
#define RENA_LENGTH_MSG  (300)

//Send log
int __stdcall rena_send(int level, const char *p_tag, const char *p_msg);

//Receive log
int __stdcall rena_recv(unsigned long *p_tick, int *p_level, char *p_tag, char *p_msg);

//Set pause flag
int __stdcall rena_set_pause(int pause);

#ifdef __cplusplus
}
#endif